/* Import css files */
@import "header.css";
@import "course.css";
@import "footer.css";


/* Global styles  */
body {
    background: #2e3440;
    box-sizing: content-box;
    color: #81a1c1;
    font-family: Hack, monospace;
    font-size: 1.3rem;
    line-height: 1.4;
    text-align: left;
    overflow-y: visible;
    padding: 1rem 2rem;
    max-width: available;
    -webkit-hyphens: auto;
    -ms-hyphens: auto;
    hyphens: auto;
}

html {
    margin: 0;
    padding: 0;
}

#lang-select {
    -webkit-appearance: none; /* Safari and Chrome */
    -moz-appearance: none; /* Firefox */
    appearance: none; /* Standard */
    background: #2e3440;
    border: none;
    cursor: pointer;
    padding: 5px;
}

*,
*:before,
*:after {
    box-sizing: inherit;
    text-decoration: none;
}


main {
    margin-bottom: 10rem;
}


/* Main content */
.container {
    max-width: 800px;
    margin-left: auto;
    margin-right: auto;

}


.main-section {
    display: flex;
    align-items: center;
    align-content: end;
    margin-left: 120px;
    line-height: 1.5;
}

.main-section-intro p {
    color: #555;
    text-align: justify;
    text-justify: inter-character;
    font-weight: 400;
}


.recent-writing-button {
    display: inline-block;
    background-color: #f1f3f4;
    border-radius: 9px;
    padding: 0.5rem;
    font-size: 0.8rem;
    color: rgba(0, 0, 0, 0.62);
    margin-left: 1.3rem;
}


.recent-writing-button:hover {
    background-color: gainsboro;
    color: black;
}


/* Media query */
/* Mobile screen */
@media screen and (min-width: 320px) and (max-width: 600px) {

    .avatar,
    .navbar-title {
        font-weight: 600;
        font-size: 65px;
    }

    .Family-name {
        display: none;
    }


    .main {
        margin: 11.25rem 0.7rem 0 0.7rem;
        line-height: 1.5;
    }


    .main-section h1 {
        font-size: 2.4rem;

    }


    .main-section p {
        font-size: 1.2rem;
    }

    .nav-container {
        display: flex;
        flex-direction: column;
        align-items: center;
        gap: 1rem;
    }

    .nav-container a {
        font-size: 1.2rem;
    }

    .header-titles {
        display: flex;
        gap: 1rem;
    }

    .header-titles a {
        font-size: 1.1rem;
    }

    .posts-section {
        margin-top: 5.4rem;
    }


    .footer {
        display: block;
        text-align: center;
    }
}


/* tablet screen */
@media (min-width: 600px) and (max-width: 1024px) {
    .main {
        margin: 11.25rem 0.7rem 0 0.7rem;
    }


    .main-section p {
        font-size: 1.2rem;
    }


    .cactus {
        margin-left: 0.7rem;
    }


    .avatar {
        height: 10rem;
        border-radius: 50%;
        width: 11rem;
        opacity: 0.9;
        margin: 0 0 0 3.5rem;
    }


    .main-section-intro h1 {
        font-size: 2.5rem;
    }


    .footer div {
        margin: 1.3rem;
    }


    .footer {
        display: flex;
        justify-content: space-between;
        margin: auto;
    }
}


@media screen and (min-width: 600px) and (max-width: 722px) {
    .avatar {
        display: none;
    }
}


/* this will apply to viewports with a min width of 1024px and above */
@media screen and (min-width: 1024px) {
    .main-section-intro h1 {
        font-size: 2.6rem;
        margin-bottom: 1.2rem;
    }


    .main-section-intro p {
        font-size: 1.2rem;
        max-width: 550px;
    }


    .avatar {
        width: 220px;
        height: 200px;
        left: 962px;
        top: 274px;
        border-radius: 50%;
        opacity: 0.9;
        margin: 0 0 0 3.6rem;;
    }


    .footer {
        height: 100px;
        display: flex;
        justify-content: space-between;
        margin: auto;
    }
}